export default _AddEditSlackSidebar;
declare function _AddEditSlackSidebar({ pulse, formInput, channel, channelSpec, parameters, dashboard, handleSave, onCancel, onChannelPropertyChange, onChannelScheduleChange, testPulse, toggleSkipIfEmpty, handleArchive, setPulseParameters, }: {
    pulse: any;
    formInput: any;
    channel: any;
    channelSpec: any;
    parameters: any;
    dashboard: any;
    handleSave: any;
    onCancel: any;
    onChannelPropertyChange: any;
    onChannelScheduleChange: any;
    testPulse: any;
    toggleSkipIfEmpty: any;
    handleArchive: any;
    setPulseParameters: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace _AddEditSlackSidebar {
    namespace propTypes {
        let pulse: PropTypes.Requireable<object>;
        let formInput: PropTypes.Validator<object>;
        let channel: PropTypes.Validator<object>;
        let channelSpec: PropTypes.Validator<object>;
        let users: PropTypes.Requireable<any[]>;
        let parameters: PropTypes.Validator<any[]>;
        let dashboard: PropTypes.Validator<object>;
        let handleSave: PropTypes.Validator<(...args: any[]) => any>;
        let onCancel: PropTypes.Validator<(...args: any[]) => any>;
        let onChannelPropertyChange: PropTypes.Validator<(...args: any[]) => any>;
        let onChannelScheduleChange: PropTypes.Validator<(...args: any[]) => any>;
        let testPulse: PropTypes.Validator<(...args: any[]) => any>;
        let toggleSkipIfEmpty: PropTypes.Validator<(...args: any[]) => any>;
        let handleArchive: PropTypes.Validator<(...args: any[]) => any>;
        let setPulseParameters: PropTypes.Validator<(...args: any[]) => any>;
    }
}
import PropTypes from "prop-types";
